Package org.apache.groovy.dateutil

# Class DatumDependentDuration

java.lang.Object
org.apache.groovy.dateutil.BaseDuration
org.apache.groovy.dateutil.DatumDependentDuration

All Implemented Interfaces:
  `Comparable<BaseDuration>`

Direct Known Subclasses:
  `TimeDatumDependentDuration`

public class DatumDependentDuration extends BaseDuration
A duration that includes years and/or months, whose exact length depends on the datum.

DEQUIRKED: `toMilliseconds()` is now deterministic (see `BaseDuration`); it no longer resolves against "now". `getAgo()`/`getFrom()` are inherited and no longer zero the time-of-day.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.dateutil.BaseDuration

  `BaseDuration.From`

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.dateutil.BaseDuration

  `days, hours, millis, minutes, months, seconds, years`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatumDependentDuration`
  `minus(DatumDependentDuration rhs)`
  `DatumDependentDuration`
  `minus(Duration rhs)`
  `DatumDependentDuration`
  `plus(DatumDependentDuration rhs)`
  `DatumDependentDuration`
  `plus(Duration rhs)`
  `DatumDependentDuration`
  `plus(TimeDatumDependentDuration rhs)`
  `DatumDependentDuration`
  `plus(TimeDuration rhs)`

  ### Methods inherited from class org.apache.groovy.dateutil.BaseDuration

  `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DatumDependentDuration

    public DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

- ## Method Details

  - ### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

  - ### plus

    public DatumDependentDuration plus(TimeDatumDependentDuration rhs)

  - ### plus

    public DatumDependentDuration plus(Duration rhs)

  - ### plus

    public DatumDependentDuration plus(TimeDuration rhs)

  - ### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

  - ### minus

    public DatumDependentDuration minus(Duration rhs)